/*
 * pidgin
 *
 * Purple is the legal property of its developers, whose names are too numerous
 * to list here.  Please refer to the COPYRIGHT file distributed with this
 * source distribution.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, it can be viewed online at
 * https://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
 */

#ifndef PIDGIN_PIDGIN_H
#define PIDGIN_PIDGIN_H

#include <glib.h>

#ifndef __GI_SCANNER__
# ifdef PIDGIN_COMPILATION
#  error "pidgin source files should not be including pidgin.h"
# endif /* PIDGIN_COMPILATION */
#endif /* __GI_SCANNER__ */

#ifndef PIDGIN_GLOBAL_HEADER_INSIDE
# define PIDGIN_GLOBAL_HEADER_INSIDE
#endif /* PIDGIN_GLOBAL_HEADER_INSIDE */

#include <pidgin/gtkrequest.h>
#include <pidgin/gtkwhiteboard.h>
#include <pidgin/pidginabout.h>
#include <pidgin/pidginaccountchooser.h>
#include <pidgin/pidginaccountdisplay.h>
#include <pidgin/pidginaccounteditor.h>
#include <pidgin/pidginaccountfilterconnected.h>
#include <pidgin/pidginaccountfilterprotocol.h>
#include <pidgin/pidginaccountmanager.h>
#include <pidgin/pidginaccountmanagerrow.h>
#include <pidgin/pidginaccountrow.h>
#include <pidgin/pidginaccountsdisabledmenu.h>
#include <pidgin/pidginaccountsenabledmenu.h>
#include <pidgin/pidginapplication.h>
#include <pidgin/pidginautoadjustment.h>
#include <pidgin/pidginavatar.h>
#include <pidgin/pidginbadges.h>
#include <pidgin/pidginchanneljoindialog.h>
#include <pidgin/pidgincolor.h>
#include <pidgin/pidgincontactinfomenu.h>
#include <pidgin/pidgincontactlist.h>
#include <pidgin/pidginconversation.h>
#include <pidgin/pidginconversationmember.h>
#include <pidgin/pidgincore.h>
#include <pidgin/pidgindisplayitem.h>
#include <pidgin/pidgindisplaywindow.h>
#include <pidgin/pidgindebug.h>
#include <pidgin/pidginiconname.h>
#include <pidgin/pidgininfopane.h>
#include <pidgin/pidginkeypad.h>
#include <pidgin/pidginmessage.h>
#include <pidgin/pidginnotifiable.h>
#include <pidgin/pidginnotification.h>
#include <pidgin/pidginnotificationaddcontact.h>
#include <pidgin/pidginnotificationauthorizationrequest.h>
#include <pidgin/pidginnotificationconnectionerror.h>
#include <pidgin/pidginnotificationlink.h>
#include <pidgin/pidginnotificationlist.h>
#include <pidgin/pidginpluginsmenu.h>
#include <pidgin/pidginpresenceicon.h>
#include <pidgin/pidginprotocolchooser.h>
#include <pidgin/pidgintypinglabel.h>
#include <pidgin/pidginui.h>
#include <pidgin/pidginversion.h>
#include <pidgin/prefs/pidginappearanceprefs.h>
#include <pidgin/prefs/pidginawayprefs.h>
#include <pidgin/prefs/pidgincredentialproviderrow.h>
#include <pidgin/prefs/pidgincredentialprefs.h>
#include <pidgin/prefs/pidgindeveloperprefs.h>
#include <pidgin/prefs/pidginnetworkprefs.h>
#include <pidgin/prefs/pidginprefs.h>
#include <pidgin/prefs/pidginprivacyprefs.h>
#include <pidgin/prefs/pidginproxyprefs.h>
#include <pidgin/pidginversionconsts.h>

#undef PIDGIN_GLOBAL_HEADER_INSIDE

#endif /* PIDGIN_PIDGIN_H */
